Menu
Apache MXNet on AWS
Developer Guide

Deep Learning AMI: Release Notes

The following sections provide release notes for both the CUDA 9 and the CUDA 8 versions of the Amazon Linux and Ubuntu Deep Learning AMI. The release notes list the contents of the AMI.

CUDA 9

CUDA 8

Deep Learning AMI: CUDA 9 (Amazon Linux Versions)

Deep Learning CUDA 9 AMI Amazon Linux Version: 1.0

Name Version

Deep learning frameworks

Apache MXNet

0.12.0 Release Candidate

Caffe2

0.8.1

TensorFlow

master*

NVIDIA tools

CUDA Toolkit

9.0

cuDNN

7.0

NCCL

2.0.5

NVIDIA Driver

384.81

*Please read the detailed release notes for Deep Learning CUDA 9 AMI Amazon Linux Version: 1.0 for more information on release tags/versions used for this release. Also refer to the AWS AI blog post to get started with the new CUDA 9 AMIs.

Deep Learning AMI: CUDA 9 (Ubuntu Versions)

Deep Learning CUDA 9 AMI Ubuntu Version: 1.0

Name Version

Deep learning frameworks

Apache MXNet

0.12 Release Candidate

Caffe2

0.8.1

TensorFlow

master*

NVIDIA tools

CUDA Toolkit

9.0

cuDNN

7.0

NCCL

2.0.5

NVIDIA Driver

384.81

*Please read the detailed release notes for Deep Learning CUDA 9 AMI Ubuntu Version: 1.0 for more information on release tags/versions used for this release. Also refer to the AWS AI blog post to get started with the new CUDA 9 AMIs.

Deep Learning AMI: CUDA 8 (Amazon Linux Versions)

Deep Learning AMI Amazon Linux Version: 3.3_Oct2017

Name Version

Deep learning frameworks

Apache MXNet

0.11.0

TensorFlow

1.3.0

Caffe2

0.8.0*

Caffe

1.0

PyTorch

0.2.0

Keras2

2.0.8**

Keras

1.2.2 (DMLC fork) for Apache MXNet

Theano

0.9.0

CNTK

2.0

Torch

master

NVIDIA tools***

CUDA Toolkit

8.0

cuDNN

5.1

NVIDIA Driver

375.66

*Caffe2 0.8.0 does not support g2.xxx instances. Please refer to release notes for Deep Learning AMI Amazon Linux Version: 3.1_Sep2017.

**You can swap between Keras 2.0.8 and Keras 1.2.2 using Conda virtual environments. See this blog post for detailed instructions.

***With NVidia CUDA 8 and NVidia Driver 375.66, this AMI is not compatible with latest EC2 P3 instance type. Use Deep Learning AMI CUDA 9 version for EC2 P3 instances.

Deep Learning AMI Amazon Linux Version: 3.1_Sep2017

Name Version

Deep learning frameworks

Apache MXNet

0.11.0

TensorFlow

1.3.0

Theano

rel-0.9.0

Keras

1.2.2 (with MXNet support)

Caffe

1.0

Caffe2

0.8.0*

CNTK

2.0

Torch

master

NVIDIA tools

CUDA Toolkit

8.0

cuDNN

5.1

NVIDIA Driver

375.66

*Caffe2 0.8.0 does not support g2.xxx instances. You can get Caffe2 0.7.0 on the following AMI ids using AMI version 2.3_Jun2017:

  • us-east-1: ami-4b44745d

  • us-east-2: ami-305d7c55

  • us-west-2: ami-296e7850

  • eu-west-1: ami-d36386aa

  • ap-southeast-2: ami-52332031

  • ap-northeast-1: ami-b44050d3

  • ap-northeast-2: ami-1523fc7b

Deep Learning AMI Amazon Linux Version: 2.3_June2017

Name Version

Deep learning frameworks

Apache MXNet

0.10.0

TensorFlow

1.1.0

Theano

rel-0.8.2

Keras

1.2.2

Caffe

rc5

Caffe2

0.7.0

CNTK

2.0.rc1

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57

Deep Learning AMI Amazon Linux Version: 2.2_June2017

Name Version

Deep learning frameworks

Apache MXNet

0.10.0

TensorFlow

1.1.0

Theano

rel-0.8.2

Keras

1.2.2

Caffe

rc5

Caffe2

0.7.0

CNTK

2.0.rc1

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57

Deep Learning AMI Amazon Linux Version: 2.1_Apr2017

Name Version

Deep learning frameworks

Apache MXNet

0.9.3

TensorFlow

1.0.1

Theano

rel-0.8.2

Keras

1.2.2

Caffe

rc5

Caffe2

0.7.0

CNTK

2.0.rc1

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57

Deep Learning AMI Amazon Linux Version: 2.0

Name Version

Deep learning frameworks

Apache MXNet

0.9.3

TensorFlow

1.0.0

Theano

rel-0.8.2

Keras

1.2.2

Caffe

rc5

CNTK

2.0beta12.0

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57

Deep Learning AMI Amazon Linux Version: 1.5

Name Version

Deep learning frameworks

Apache MXNet

0.7.0

TensorFlow

0.10.0

Theano

rel-0.8.2

Keras

1.0.8

Caffe

rc5

CNTK

2.0beta4.0

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

352.99

Deep Learning AMI: CUDA 8 (Ubuntu Versions)

Deep Learning AMI Ubuntu Version: 2.4_Oct2017

Name Version

Deep learning frameworks

Apache MXNet

0.11.0

TensorFlow

1.3.0

Caffe2

0.8.0*

Caffe

1.0

PyTorch

0.2.0

Keras2

2.0.8**

Keras

1.2.2 (DMLC fork) for Apache MXNet

Theano

0.9.0

CNTK

2.0

Torch

master

NVIDIA tools***

CUDA Toolkit

8.0

cuDNN

5.1

NVIDIA Driver

375.66

*Caffe2 0.8.0 does not support g2.xxx instances. Please refer to release notes for Deep Learning AMI Ubuntu Version: 2.3_Sep2017.

**You can swap between Keras 2.0.8 and Keras 1.2.2 using Conda virtual environments. Follow this blog post for detailed instructions.

With NVidia CUDA 8 and NVidia Driver 375.66, this AMI is not compatible with latest EC2 P3 instance type. Use Deep Learning AMI CUDA 9 version for EC2 P3 instances.

Deep Learning AMI Ubuntu Version: 2.3_Sep2017

Name Version

Deep learning frameworks

Apache MXNet

0.11.0

TensorFlow

1.3.0

Theano

rel-0.9.0

Keras

1.2.2 (with MXNet support)

Caffe

1.0

Caffe2

0.8.0*

CNTK

2.0

Torch

master

NVIDIA tools

CUDA Toolkit

8.0

cuDNN

5.1

NVIDIA Driver

375.66

*Caffe2 0.8.0 does not support g2.xxx instances. You can get Caffe2 0.7.0 on the following AMI ids using AMI version 2.2_Aug2017:

  • us-east-1: ami-2edccb38

  • us-east-2: ami-2797b642

  • us-west-2: ami-7fd7c906

  • eu-west-1: ami-19896660

  • ap-southeast-2: ami-b32b37d0

  • ap-northeast-1: ami-55816633

  • ap-northeast-2: ami-585a8436

Deep Learning AMI Ubuntu Version: 2.2_August2017

Name Version

Deep learning frameworks

Apache MXNet

0.10.0

TensorFlow

1.2.0

Theano

rel-0.9.0

Keras

1.2.2

Caffe

1.0

Caffe2

0.7.0

CNTK

2.0

Torch

master

NVIDIA tools

CUDA Toolkit

8.0

cuDNN

5.1

NVIDIA Driver

375.66

Deep Learning AMI Ubuntu Version: 1.5_June2017

Name Version

Deep learning frameworks

Apache MXNet

0.10.0

TensorFlow

1.1.0

Theano

rel-0.8.2

Keras

1.2.2

Caffe

rc5

Caffe2

0.7.0

CNTK

2.0.rc1

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57

Deep Learning AMI Ubuntu Version: 1.4_June2017

Name Version

Deep learning frameworks

Apache MXNet

0.10.0

TensorFlow

1.1.0

Theano

rel-0.8.2

Keras

1.2.2

Caffe

rc5

Caffe2

0.7.0

CNTK

2.0.rc1

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57

Deep Learning AMI Ubuntu Version: 1.3_Apr2017

Name Version

Deep learning frameworks

Apache MXNet

0.9.3

TensorFlow

1.0.1

Theano

rel-0.8.2

Keras

1.2.2

Caffe

rc5

Caffe2

0.6.0

CNTK

2.0.rc1

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57

Deep Learning AMI Ubuntu Version: 1.2

Name Version

Deep learning frameworks

Apache MXNet

0.9.3

TensorFlow

1.0.0

Theano

rel-0.8.2

Keras

1.2.0

Caffe

rc5

CNTK

2.0beta12.0

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57

Deep Learning AMI Ubuntu Version: 1.1

Name Version

Deep learning frameworks

Apache MXNet

0.9.3

TensorFlow

0.12.1

Theano

rel-0.8.2

Keras

1.2.0

Caffe

rc3

CNTK

2.0beta7.0

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57

Deep Learning AMI Ubuntu Version: 1.0

Name Version

Deep learning frameworks

Apache MXNet

0.9.3

TensorFlow

0.12.1

Theano

rel-0.8.2

Keras

1.2.0

Caffe

rc3

CNTK

2.0beta7.0

Torch

master

NVIDIA tools

CUDA Toolkit

7.5

cuDNN

5.1

NVIDIA Driver

367.57